##############################################################################
# @file  CMakeLists.txt
# @brief Build configuration of software.
#
# Copyright (c) 2012 University of Pennsylvania.
#
# This file is part of DTI-DROID.
#
# DTI-DROID is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DTI-DROID is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DTI-DROID.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: SBIA Group <sbia-software at uphs.upenn.edu>
##############################################################################

basis_add_executable (combinetwodeformationfields.cxx LIBEXEC)
basis_target_link_libraries (combinetwodeformationfields matrixshen-classic)

basis_add_executable (dtiFA.cxx LIBEXEC)
basis_target_link_libraries (dtiFA common)

basis_add_executable (dtiPD.cxx LIBEXEC)
basis_target_link_libraries (dtiPD common)

basis_add_executable (dtiTrace.cxx LIBEXEC)
basis_target_link_libraries (dtiTrace common)

basis_add_executable (FloatFA2Byte.cxx LIBEXEC)

basis_add_executable (PDcolorMap.cxx LIBEXEC)
basis_target_link_libraries (PDcolorMap common)

basis_add_executable (reversedeformationfield.cxx LIBEXEC)
basis_target_link_libraries (reversedeformationfield matrixshen-dgtools mvcd-dgtools)

basis_add_executable (TensorStructRegistration.cxx LIBEXEC)
basis_target_link_libraries (TensorStructRegistration common mvcd-drtg matrixshen-drtg)

basis_add_executable (xdr2hammer.cxx LIBEXEC)
basis_add_executable (hammer2xdr.cxx LIBEXEC)

basis_add_executable (nWarpDTV5.cxx LIBEXEC)
basis_target_link_libraries (nWarpDTV5 common)
basis_set_target_properties (nWarpDTV5 PROPERTIES OUTPUT_NAME warpDT.V5)

basis_add_executable (LnWarpDT.cxx LIBEXEC)
basis_target_link_libraries (LnWarpDT common)
